curl --request GET \
--url https://api.rewind.rest/v1/listening/artists/{id} \
--header 'Authorization: Bearer <token>'{
"id": 189,
"name": "Nirvana",
"mbid": null,
"url": "https://www.last.fm/music/Nirvana",
"apple_music_url": "https://music.apple.com/us/artist/nirvana/112018?uo=4",
"playcount": 2179,
"scrobble_count": 2193,
"first_scrobbled_at": "2012-05-02T18:32:15.000Z",
"last_played_at": "2026-04-12T20:11:00.000Z",
"all_time_rank": 12,
"distinct_tracks": 84,
"distinct_albums": 7,
"genre": "Grunge",
"tags": [
{
"name": "Grunge",
"count": 100
},
{
"name": "Rock",
"count": 49
}
],
"bio_summary": "American rock band formed in Aberdeen, Washington in 1987.",
"bio_content": null,
"bio_synced_at": "2026-04-12T20:11:00.000Z",
"image": {
"url": "https://cdn.rewind.rest/listening/artists/189/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "GggGBwDN+CSBp7VXcmVmlyZ2BgAAAAAA",
"dominant_color": "#191919",
"accent_color": "#7e7e7e"
},
"sparkline": {
"granularity": "year",
"points": [
{
"at": "2024-01-01T00:00:00.000Z",
"count": 80
},
{
"at": "2025-01-01T00:00:00.000Z",
"count": 65
},
{
"at": "2026-01-01T00:00:00.000Z",
"count": 22
}
]
},
"top_albums": [
{
"id": 300,
"name": "MTV Unplugged in New York",
"playcount": 428,
"apple_music_url": null,
"image": null
}
],
"top_tracks": [
{
"id": 595,
"name": "Come as You Are",
"album_id": 300,
"album_name": "MTV Unplugged in New York",
"scrobble_count": 101,
"apple_music_url": "https://music.apple.com/us/album/come-as-you-are/1440783617?i=1440783636&uo=4",
"preview_url": null,
"image": null
}
],
"similar_artists": [
{
"id": 244,
"name": "Pearl Jam",
"genre": "Grunge",
"your_scrobble_count": 612,
"similarity_score": 0.86,
"image": null
}
]
}Returns detailed information about an artist including top albums and tracks.
curl --request GET \
--url https://api.rewind.rest/v1/listening/artists/{id} \
--header 'Authorization: Bearer <token>'{
"id": 189,
"name": "Nirvana",
"mbid": null,
"url": "https://www.last.fm/music/Nirvana",
"apple_music_url": "https://music.apple.com/us/artist/nirvana/112018?uo=4",
"playcount": 2179,
"scrobble_count": 2193,
"first_scrobbled_at": "2012-05-02T18:32:15.000Z",
"last_played_at": "2026-04-12T20:11:00.000Z",
"all_time_rank": 12,
"distinct_tracks": 84,
"distinct_albums": 7,
"genre": "Grunge",
"tags": [
{
"name": "Grunge",
"count": 100
},
{
"name": "Rock",
"count": 49
}
],
"bio_summary": "American rock band formed in Aberdeen, Washington in 1987.",
"bio_content": null,
"bio_synced_at": "2026-04-12T20:11:00.000Z",
"image": {
"url": "https://cdn.rewind.rest/listening/artists/189/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "GggGBwDN+CSBp7VXcmVmlyZ2BgAAAAAA",
"dominant_color": "#191919",
"accent_color": "#7e7e7e"
},
"sparkline": {
"granularity": "year",
"points": [
{
"at": "2024-01-01T00:00:00.000Z",
"count": 80
},
{
"at": "2025-01-01T00:00:00.000Z",
"count": 65
},
{
"at": "2026-01-01T00:00:00.000Z",
"count": 22
}
]
},
"top_albums": [
{
"id": 300,
"name": "MTV Unplugged in New York",
"playcount": 428,
"apple_music_url": null,
"image": null
}
],
"top_tracks": [
{
"id": 595,
"name": "Come as You Are",
"album_id": 300,
"album_name": "MTV Unplugged in New York",
"scrobble_count": 101,
"apple_music_url": "https://music.apple.com/us/album/come-as-you-are/1440783617?i=1440783636&uo=4",
"preview_url": null,
"image": null
}
],
"similar_artists": [
{
"id": 244,
"name": "Pearl Jam",
"genre": "Grunge",
"your_scrobble_count": 612,
"similarity_score": 0.86,
"image": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
"42"
Artist detail
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes